Name:		automysqlbackup
Version:	2.6.4
Release:	1.1
Group:		System/Backup
Summary:	MySQL backup script
License:	GPL
Url:		http://members.lycos.co.uk/wipe_out/automysqlbackup/
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
Source0:	automysqlbackup-2.6.4.sh
Source1:	multimysqlbackup.sh
Source2:	multimysqlbackup.conf
Source3:	automysqlbackup.8
Requires:	bzip2 mysql mutt
Provides:	multimysqlbackup = %{version}
Provides:	ix-automysqlbackup = %{version}
Provides:	psa-automysqlbackup = %{version}

%if 0%{?suse_version}
Requires: mailx >= 9.25
%endif
%if 0%{?centos_version} || 0%{?rhel_version} || 0%{?redhat_version} || 0%{?sl_version}
Requires: nail
%endif
BuildArch:	noarch

%description
A script to take daily, weekly and monthly backups of your MySQL databases using mysqldump.
Features:
  - Backup multiple databases
  - Single backup file or to a separate file for each DB
  - Compress backup files
  - Backup remote servers
  - E-mail logs


%prep
%setup -c -T
cp %{S:0} $RPM_BUILD_DIR/%{name}-%{version}/%{name}-2.6.4.sh
cp %{S:1} $RPM_BUILD_DIR/%{name}-%{version}/multimysqlbackup.sh
cp %{S:2} $RPM_BUILD_DIR/%{name}-%{version}/multimysqlbackup.conf
cp %{S:3} $RPM_BUILD_DIR/%{name}-%{version}/automysqlbackup.8

%build

%install
%__install -D -m 0755 %{name}-2.6.4.sh %{buildroot}%{_sbindir}/%{name}
%__install -D -m 0755 multimysqlbackup.sh %{buildroot}%{_sbindir}/multimysqlbackup
%__install -D -m 0644 multimysqlbackup.conf %{buildroot}%{_sysconfdir}/multimysqlbackup.conf
%__install -D -m 0644 automysqlbackup.8	%{buildroot}%{_mandir}/man8/automysqlbackup.8

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sbindir}/%{name}
%{_sbindir}/multimysqlbackup
%config(noreplace) %{_sysconfdir}/multimysqlbackup.conf
%{_mandir}/man8/automysqlbackup.8*

%changelog
* Fri Oct 21 2011 Carsten Schoene <cs@linux-administrator.com> - 2.6.4-2
- enhanced multimysqlbackup.sh for use on plesk systems
 - silent errors flag in multimysqlbackup.sh
 - plesk detection flag in multimysqlbackup.sh
 - autodetect plesk installation and backup mysql data

* Sun Jul 03 2011 Carsten Schoene <cs@linux-administrator.com> - 2.6.4-1
- updated to release 2.6.4
 - new default options --single-transaction & --routines
 - table exclude support
 - mail command detection

* Sun Jan 23 2011 Carsten Schoene <cs@linux-administrator.com> - 2.6.3-1
- updated to base 2.5.1-01 release
- reworked patches
 - mailfrom
 - pertable
 - multihost
- added manpage

* Fri Jun 26 2009 Carsten Schoene <cs@linux-administrator.com> - 2.6.2-3
- updated patches
- added exclude db option to multimysqlbackup

* Sat May 23 2009 Carsten Schoene <cs@linux-administrator.com> - 2.6.2-2
- added mailfrom patch

* Sat May 23 2009 Carsten Schoene <cs@linux-administrator.com> - 2.6.2-1
- added multimysqlbackup wrapper and sample config

* Thu Dec 04 2008 Carsten Schoene <cs@linux-administrator.com> - 2.6.2-0
- initial build

